#!/bin/bash

# Get the path to wherever this script is stored
ABS_PWD=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd -P)

# Just to make things more legible
echo 1>&2

# Make sure the quit file is available in this directory, then install it 
if [[ -e "$ABS_PWD/quit" ]]
then
	# Prompt to confirm
	read -n 1 -p "Copy quit to /usr/local/bin (y/n)? "; echo 1>&2

	if [[ $REPLY == y ]]
	then
		# These are the bits that will prompt for an admin password
		
		# Create /usr/local/bin if it does not already exist
		sudo mkdir -p /usr/local/bin
		
		# Copy quit into /usr/local/bin
		# Will prompt before overwriting an old version, if present
		sudo cp -i "$ABS_PWD/quit" /usr/local/bin
	fi
else
	# Could not find the file, so throw an error message and do nothing
	echo "This installer must be in the same directory as quit." 1>&2
fi

# Just to make things more legible
echo 1>&2

# All done
read -n 1 -p "Press any key to exit."
